Generate random SIP peer password
POST
/v1/peer/{peer}/setpass
const url = 'https://example.com/v1/peer/example/setpass';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/peer/example/setpass \ --header 'Authorization: Bearer <token>'Returns cleartext password once; stores HA1 digest. Not persisted.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”peer
required
string
SIP peer key: username@realm (URL-encoded)
Responses
Section titled “Responses”OK
Media typeapplication/json
object
success
required
boolean
password
required
string
Examplegenerated
{ "success": true, "password": "example"}default
Section titled “default”Error response
Media typeapplication/problem+json
RFC 7807 Problem Details
object
type
Problem type slug URI
string
title
string
status
integer
detail
string
key
additional properties
any
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}